@extends('admin.layouts.app')

@section('content')

    <div class="header bg-primary pb-6">
        <div class="container-fluid">
            <div class="header-body">
                <div class="row align-items-center py-4">
                    <div class="col-lg-6 col-7">
                        <h6 class="h2 text-black d-inline-block mb-0">Banner</h6>
                        <nav aria-label="breadcrumb" class="d-none d-md-inline-block ml-md-4">
                            <ol class="breadcrumb breadcrumb-links breadcrumb-dark">
                                <li class="breadcrumb-item"><a href="{{ route('dashboard') }}"><i class="fas fa-home"></i></a></li>
                                <li class="breadcrumb-item"><a href="{{ route('banner') }}">Promotional Banner</a></li>
                                <li class="breadcrumb-item">Edit</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Page content -->
    <div class="container-fluid mt--6">
        <div class="row">
            <div class="col-xl-12 order-xl-1">
                <div class="card bg-secondary shadow">
                    <div class="card-header bg-white border-0">
                        <div class="row align-items-center">
                            <h3 class="mb-0">{{ __('Edit') }}</h3>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="accordion" id="accordionExample">
                            <div class="accordion-item">
                                <h2 class="accordion-header" id="headingOne">
                                    <button class="accordion-button" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                        Popular Section Banner
                                    </button>
                                </h2>
                                <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
                                    <div class="accordion-body">
                                        <form method="post" action="{{ route('promotional.update') }}" enctype="multipart/form-data">

                                            @csrf
                                            @method('post')

                                           <div class="card">
                                               <div class="card-body">
                                                   <input type="hidden" name="type" value="popular_banner">
                                                   <div class="row">
                                                       <div class="col-md-6 form-group">
                                                           <label for="">Title</label>
                                                           <input type="text" value="{{isset($popular_banner->title_one)?$popular_banner->title_one:''}}" class="form-control" placeholder="Enter Title" name="title_one">
                                                       </div>
                                                       <div class="col-md-6 form-group">
                                                           <label for="">Link</label>
                                                           <input type="text" class="form-control" value="{{isset($popular_banner->link_one)?$popular_banner->link_one:''}}" placeholder="Enter Link" name="link_one">
                                                       </div>

                                                       <div class="col-md-12 form-group">
                                                           <label for="">Picture</label>
                                                           <input type="file" class="form-control p-2" placeholder="Enter Link" name="picture_one">
                                                       </div>
                                                   </div>

                                                   <div class="row mt-2">
                                                       <div class="col-md-6 form-group">
                                                           <label for="">Title</label>
                                                           <input type="text" class="form-control" value="{{isset($popular_banner->title_two)?$popular_banner->title_two:''}}" placeholder="Enter Title" name="title_two">
                                                       </div>
                                                       <div class="col-md-6 form-group">
                                                           <label for="">Link</label>
                                                           <input type="text" class="form-control" value="{{isset($popular_banner->link_two)?$popular_banner->link_two:''}}" placeholder="Enter Link" name="link_two">
                                                       </div>
                                                       <div class="col-md-12 form-group">
                                                           <label for="">Picture</label>
                                                           <input type="file" class="form-control p-2" placeholder="Enter Link" name="picture_two">
                                                       </div>
                                                       <div class="col-md-12 form-group mt-2">
                                                           <button type="submit" class="btn btn-primary">Submit</button>
                                                       </div>
                                                   </div>
                                               </div>
                                           </div>
                                        </form>
                                    </div>
                                </div>
                            </div>

                            <div class="accordion-item">
                                <h2 class="accordion-header" id="headingTwo">
                                    <button class="accordion-button collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                                        Shop By Category Section Banner
                                    </button>
                                </h2>
                                <div id="collapseTwo" class="accordion-collapse collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
                                    <div class="accordion-body">
                                        <form method="post" action="{{ route('promotional.update') }}" enctype="multipart/form-data">
                                            @csrf
                                            <input type="hidden" name="type" value="category_banner">
                                           <div class="card">
                                               <div class="card-body">
                                                   <div class="row mt-2">
                                                    <div class="col-md-6 form-group">
                                                        <label for="">Title</label>
                                                        <input type="text" class="form-control" value="{{isset($category_banner->category_title)?$category_banner->category_title:''}}" placeholder="Enter Title" name="category_title">
                                                    </div>
                                                    <div class="col-md-6 form-group">
                                                        <label for="">Link</label>
                                                        <input type="text" class="form-control" value="{{isset($category_banner->category_link)?$category_banner->category_link:''}}" placeholder="Enter Link" name="category_link">
                                                    </div>
                                                       <div class="col-md-12 form-group">
                                                           <label for="">Picture</label>
                                                           <input type="file" class="form-control p-2" placeholder="Enter Link" name="category_picture">
                                                       </div>
                                                       <div class="col-md-12 form-group mt-2">
                                                           <button type="submit" class="btn btn-primary">Submit</button>
                                                       </div>
                                                   </div>
                                               </div>
                                           </div>
                                        </form>
                                    </div>
                                </div>
                            </div>

                            <div class="accordion-item">
                                <h2 class="accordion-header" id="headingThree">
                                    <button class="accordion-button collapsed" type="button" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                                        New Product Section Banner
                                    </button>
                                </h2>
                                <div id="collapseThree" class="accordion-collapse collapse" aria-labelledby="headingThree" data-parent="#accordionExample">
                                    <div class="accordion-body">
                                        <form method="post" action="{{ route('promotional.update') }}" enctype="multipart/form-data" autocomplete="off">
                                            @csrf
                                            <input type="hidden" name="type" value="new_product_banner">
                                            <div class="card">
                                                <div class="card-body">
                                                    <div class="row">
                                                        <div class="col-md-6 form-group">
                                                            <label for="">Title</label>
                                                            <input type="text" class="form-control" value="{{isset($new_product_banner->title_one)?$new_product_banner->title_one:''}}" placeholder="Enter Title" name="title_one">
                                                        </div>
                                                        <div class="col-md-6 form-group">
                                                            <label for="">Link</label>
                                                            <input type="text" class="form-control" value="{{isset($new_product_banner->link_one)?$new_product_banner->link_one:''}}" placeholder="Enter Link" name="link_one">
                                                        </div>

                                                        <div class="col-md-12 form-group">
                                                            <label for="">Picture</label>
                                                            <input type="file" class="form-control p-2" placeholder="Enter Link" name="picture_one">
                                                        </div>
                                                    </div>

                                                    <div class="row mt-2">
                                                        <div class="col-md-6 form-group">
                                                            <label for="">Title</label>
                                                            <input type="text" class="form-control" value="{{isset($new_product_banner->title_two)?$new_product_banner->title_two:''}}" placeholder="Enter Title" name="title_two">
                                                        </div>
                                                        <div class="col-md-6 form-group">
                                                            <label for="">Link</label>
                                                            <input type="text" class="form-control" value="{{isset($new_product_banner->link_two)?$new_product_banner->link_two:''}}" placeholder="Enter Link" name="link_two">
                                                        </div>
                                                        <div class="col-md-12 form-group">
                                                            <label for="">Picture</label>
                                                            <input type="file" class="form-control p-2" placeholder="Enter Link" name="picture_two">
                                                        </div>
                                                        <div class="col-md-12 form-group mt-2">
                                                            <button type="submit" class="btn btn-primary">Submit</button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

@push('styles')

    <style>
        .accordion-button:focus{
            outline: 0px auto -webkit-focus-ring-color !important;
        }
        .accordion-button{
            width: 100% !important;
            text-align: left !important;
            border: hidden !important;
            padding: 10px 20px;
            border-radius: 5px !important;
            background: #ccd4d9 !important;
        }
    </style>
@endpush

@push('js')

@endpush
