@extends('admin.layouts.app')

@section('content')

    <div class="header bg-primary pb-6">
        <div class="container-fluid">
            <div class="header-body">
                <div class="row align-items-center py-4">
                    <div class="col-lg-6 col-7">
                        <h6 class="h2 text-black d-inline-block mb-country">Permission</h6>
                        <nav aria-label="breadcrumb" class="d-none d-md-inline-block ml-md-4">
                            <ol class="breadcrumb breadcrumb-links breadcrumb-dark">
                                <li class="breadcrumb-item"><a href="{{ route('dashboard') }}"><i class="fas fa-home"></i></a></li>
                                <li class="breadcrumb-item"><a href="{{ route('role') }}">Permission</a></li>
                                <li class="breadcrumb-item">Add</li>
                            </ol>
                        </nav>
                    </div>
                    <div class="col-lg-6 col-5 text-right">
                        <a href="{{ route('role.add') }}" class="btn btn-lg btn-neutral fade-class"><i class="fas fa-plus fa-lg"></i> New</a>
                        {{--                        <a href="#" class="btn btn-sm btn-neutral">Filters</a>--}}
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Page content -->
    <div class="container-fluid mt--6">
        <div class="row">
            <div class="col-xl-12 order-xl-1">
                <div class="card bg-secondary shadow">
                    <div class="card-header bg-white border-0">
                        <div class="row align-items-center">
                            <h3 class="mb-0">{{ __('Add') }}</h3>
                        </div>
                    </div>
                    <div class="card-body">
                        <form method="post" action="{{ route('permission.store') }}"  autocomplete="off">
                            @csrf
                            @method('post')

                            <h6 class="heading-small text-muted mb-4">{{ __('Add Permission ') }}</h6>

                            @if (session('status'))
                                <div class="alert alert-success alert-dismissible fade show" role="alert">
                                    {{ session('status') }}
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                            @endif
                            <div class="pl-lg-4 row">

                              <div class="col-md-6 form-group{{ $errors->has('name') ? ' has-danger' : '' }}">
                                  <label class="form-control-label" for="input-name">{{ __('Name') }}* <button type="button" class="btn btn-sm btn-info" data-toggle="tooltip" data-placement="right" title="Name must be same as route name for example pages add route name is pages.add then permission name pages.add if pages list route name is pages then permission name pages">
?</button></label>
                                  <input type="text" name="name" id="input-name" class="form-control form-control-alternative{{ $errors->has('name') ? ' is-invalid' : '' }}" placeholder="{{ __('Name') }}" value="{{ old('name', '') }}" autofocus required>

                                  @if ($errors->has('name'))
                                      <span class="invalid-feedback" role="alert">
                                      <strong>{{ $errors->first('name') }}</strong>
                                  </span>
                                  @endif
                              </div>

                              <div class="col-md-6 form-group{{ $errors->has('meta_title') ? ' has-danger' : '' }}">
                                  <label class="form-control-label" for="input-name">{{ __('Display Name') }}* <button type="button" class="btn btn-sm btn-info" data-toggle="tooltip" data-placement="right" title="Displa name you can enter anything you want in display name. For example pages list enter  Pages List Permission">
?</button></label>
                                  <input type="text" name="display_name" id="display_name" class="form-control form-control-alternative{{ $errors->has('display_name	') ? ' is-invalid' : '' }}" placeholder="{{ __('Display Name') }}" value="{{ old('display_name	', '') }}" required>

                                  @if ($errors->has('display_name	'))
                                      <span class="invalid-feedback" role="alert">
                                      <strong>{{ $errors->first('display_name') }}</strong>
                                  </span>
                                  @endif
                              </div>

                                <div class="text-center">
                                    <button type="submit" class="btn btn-success mt-4">{{ __('Save') }}</button>
                                    <a href="{{ route('permission') }}" type="button" class="btn btn-danger mt-4">{{ __('Cancel') }}</a>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

@push('js')
@endpush
