<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="baseURL" content="{{url('/')}}" >
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta name="assetURL" content="{{asset('uploads')}}">
    <meta name="frontendAssetURL" content="{{asset('frontend')}}">
    <meta name="isLogin" content="{{ Auth::guard('customer')->check() }}">
    <meta name="currency" content="{{config('settingConfig.config_currency')}}">
    <meta name="currentRoute" content="{{Route::currentRouteName()}}">
    <meta name="direction" content="{{Session::get('locale') == 'ar' ? true : false}}" >
    <meta name="image-loader" content="{{config('constant.image_loader')}}" >

    {!! SEOMeta::generate() !!}
    <!-- Favicon -->
    <link rel="icon" href="{{asset('uploads')}}/store/{{config('settingConfig.config_icon_image')}}" type="image/png">
    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700" rel="stylesheet">
    <!-- Extra details for Live View on GitHub Pages -->
    <!-- Icons -->
    <link href="{{ asset('assets') }}/vendor/nucleo/css/nucleo.css" rel="stylesheet">
    <link href="{{ asset('assets') }}/vendor/@fortawesome/fontawesome-free/css/all.min.css" rel="stylesheet">
    <!-- Argon CSS -->
    <!-- <link type="text/css" href="{{ asset('assets') }}/css/otrixweb.css?v=1.0.0" rel="stylesheet"> -->

    <!-- css -->
    @stack('css')
    <!-- <link href="{{ asset('frontend') }}/css/bootstrap.min.css" rel="stylesheet"> -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.1.3/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{{ asset('frontend') }}/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="{{ asset('frontend') }}/css/slick-theme.css">
    <link rel="stylesheet" type="text/css" href="{{ asset('frontend') }}/css/slick.css">
    <link rel="stylesheet" type="text/css" href="{{ asset('frontend') }}/css/animate.css">
    <link rel="stylesheet" type="text/css" href="{{ asset('frontend') }}/css/jquery.mCustomScrollbar.css">
    <link rel="stylesheet" type="text/css" href="{{ asset('frontend') }}/css/common.css">
    <link rel="stylesheet" type="text/css" href="{{ asset('frontend') }}/css/menu.css">
    <link rel="stylesheet" type="text/css" href="{{ asset('frontend') }}/css/product.css">
    <link rel="stylesheet" type="text/css" href="{{ asset('frontend') }}/css/home.css">
    <link rel="stylesheet" type="text/css" href="{{ asset('frontend') }}/css/proctuct-detail.css">
    <link rel="stylesheet" type="text/css" href="{{ asset('frontend') }}/css/loading.css">
    <link rel="stylesheet" type="text/css" href="{{ asset('frontend') }}/css/retronotify.css">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/limonte-sweetalert2/11.7.1/sweetalert2.min.css" integrity="sha512-NvuRGlPf6cHpxQqBGnPe7fPoACpyrjhlSNeXVUY7BZAj1nNhuNpRBq3osC4yr2vswUEuHq2HtCsY2vfLNCndYA==" crossorigin="anonymous" referrerpolicy="no-referrer" >
    <script src="https://code.jquery.com/jquery-3.6.4.min.js" integrity="sha256-oP6HI9z1XaZNBrJURtCoUT5SUnxFr8s3BzRl+cbzUq8=" crossorigin="anonymous"></script>

    <script src="{{ asset('frontend') }}/js/bootstrap.bundle.min.js" ></script>

    @include('frontend.layouts.style')

    <style>
         .custom-left-side-banner-index {
         margin-top: 170px;
     }
     .faq-section-wrapper {
    margin-top: 120px;
}
    .faq-title {
    font-size: 35px;
    font-weight: 800;
    text-align: center;
    margin: 30px 0px;
    color: #090909;
}

.accordion-button::after {
    content: '+';
    font-size: 1.5rem;
    float: right;
    margin-left: auto;
    background-image: none; /* Ensure no background image is applied */
    transition: transform 0.3s ease;
}

.accordion-button:not(.collapsed)::after {
    content: '-';
    background-image: none; /* Ensure no background image is applied */
    transform: rotate(0deg); /* No rotation */
}

.custom-accordion-button{
    border-bottom: 1px solid rgb(146, 146, 146) !important;
}

.custom-accordion-button:not(.collapsed) {
    color: #000000;
    background-color: #ffffff !important;
    box-shadow: none !important;
}
.custom-accordion-button .collapsed{
    border-bottom: 1px solid rgb(146, 146, 146) !important;
}
.custom-accordion-button::after {
    height: 35px !important;
}

.custom-accordion-button:focus {
    z-index: 3;
    border-color: #ffffff;
    outline: none;
    box-shadow: none;
}
.accordion-item {
    background-color: transparent !important;
    border: 1px solid transparent !important;
}
.faq-sec{
    padding-top: 60px;
    background-color: #ffffff;
}
.faq-category-name {
    color: #000000;
    font-weight: 700;
    font-size: 25px;
}
 /* @media (min-width: 320px){
        .custom-left-side-banner-index {
         margin-top: 60px;
     }
     .new-product-main-section {
        margin-top: 70px;
    }
    }
    @media (min-width: 360px){
        .custom-left-side-banner-index {
         margin-top: 50px;
     }
    }
    @media (min-width: 419px){
        .new-product-main-section {
    margin-top: 0px;
}
    }  */
        .logo-left{
            padding-top: 9px;
            width: 250px !important;
        }
        .banner-slide.bg-img.sub-slider.justify-content-center.mb-4.col-md-12.col-6 {
            height: 202px !important;
        }
        
        .otrixcontainer {
            padding: 0px 20px !important;
        }
        .bg-light{
            background-color: #fff !important;
        }

        @media (min-width: 400px) and (max-width: 767px) {
            .right-side-banner-home{
                display: none !important;
            }
            .faq-section-wrapper {
         margin-top: 30px;
            }
            .left-side-banner-index{
                width: 100% !important;
            }
            .custom-left-side-banner-index {
                 margin-top: 65px;
            }
            .custom-right-side-banner-home{
                margin-top: 65px;
            }

            .otrixcontainer{
                max-width: 100% !important;
            }
            /* .new-product-main-section {
            margin-top: 35px;
            } */
        }

        @media (min-width: 300px) and (max-width: 399px) {
            .custom-left-side-banner-index {
                 margin-top: 50px;
            }
            .faq-section-wrapper {
                margin-top: 50px;
            }
        }


        /*Custom CSS*/
        .flash-sale-cutdown{
            position: absolute;bottom: 0px;
        }
        .special-offer-quickview{
            position: relative !important;
            background: #009DEE;
            width: 100%;
            padding: 2px;
            bottom: 0px !important;
            top: 0px !important;
        }
        .special-offer-margin{
            margin: 2px 0px !important;
        }
        .special-offer-floating-add-to-cart{
            left: 91% !important;
        }
        .special-offer-floating-wishlist{
            left: 91% !important;
            top: 22% !important;
        }
        .special-offer-ribbon{
            font-size: 10px !important;
            min-width: 50px !important;
            padding: 3px 5px !important;
            left: 2px !important;
        }
        .category-wise-product-nav label{
            cursor: pointer;
        }
        .category-wise-product-nav{
            padding: 0px 2px;
            font-size: 17px !important;

        }

        .special-offer-main-card-section{
            border: 1px solid #10e72f6b;
        }
        .custom-flash-sale-cutdown{
            left: 0px;
            width: 50%;
        }
        .custom-flash-sale-cutdown .w-100{
            background: #18587a90 !important;
        }
        .special-offer-rating{
            display: block !important;
            margin-top: 7px;
        }
        .special-offer-rating i{
            font-size: 15px !important;
        }
        .category-product-price{
            font-size: 12px !important;
        }
        .category-product-title{
            font-size: 14px !important;
        }
        .category-product-rating i{
            font-size: 11px !important;
        }
        .category-wise-product-section{
            min-height: 130px !important;
            height: auto !important;
        }
        .category-wise-product-details{
            padding-left: 0px !important;
        }
        .category-wise-product-image{
            height: 127px !important;
            margin-bottom: 0px !important;
            padding-bottom: 0px !important;
            padding-left: 6px;
        }
        .category-wise-item-title{
            font-size: 14px !important;
            margin-bottom: 3px !important;
            line-height: 17px;;
        }
        .category-product-discount-badge{
            width: 17px !important;
            font-size: 8px !important;
            padding: 2px !important;
            min-width: 41px !important;
            left: 1px !important;
        }
        .category-product-new-arrival-badge{
            width: 17px !important;
            font-size: 8px !important;
            padding: 2px !important;
            min-width: 41px !important;
            left: 1px !important;
        }
        .category-wise-product-section:hover{
            box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,-0.77) !important;
        }
        .category-wise-product-section{
            border: 1px solid #00000029;
            border-radius: 5px !important;
        }
        .category-wise-product-section::after{
            display: none !important;
        }
        .category-wise-product-section::before{
            display: none !important;
        }
        .category-products-tab li{
            width: 25% !important;
        }
        .category-right-banner-section{
            background-image: url('/uploads/demo-banner.jpg');
            min-height: 405px;
            opacity: 0.5;
            background-repeat: no-repeat;
            background-size: cover;
        }
        .category-wise-product-nav.active{
            color: #009DEE !important;
        }
        .btn-subscribe{
            background: #c72222 !important;
        }
        .chat-section{
            background: #009DEE !important;
        }

        .ban-offer-right-side{
            position: relative;
            top: -106px;
            text-align: center;
        }
        .shop-btn-right-banner{
            width: 70px !important;
            min-width: 70px !important;
            font-size: 12px !important;
            padding: 0px 2px !important;
            min-height: 32px !important;
        }
        .right-side-banner-title{
            color: white !important;
        }
        .product-box{
            box-shadow: 0 3px 6px rgb(0 0 0 / 0%), 0 3px 6px rgb(0 0 0 / 6%) !important;
            border-radius: 5px !important;
        }

        /* .has-sub a{
            color: white !important;
        } */
        .submenu-link li a{
            color: black !important;
        }
        .head-menu{
            /* min-width: 1350px !important; */
            background: #009DEE  !important;
            /*background: #21a72f  !important;*/
        }
        section.most-popular-cat-tab {
            position: relative;
            z-index: 0;
        }
        .language-box{
            height: 30px !important;
            margin-top: 18px !important;
        }
        /* .menu_link nav>ul > li > a{
            padding: 15px 0 !important;
        } */
        .modal-content{
            position: absolute;
            top: 100px;
        }
        .expanding-search-form{
            border: 2px solid #009DEE;
            height: 45px !important;
        }
        .expanding-search-form .search-input{
            height: 41px !important;
        }
        .expanding-search-form .search-dropdown{
            padding: 0px 7px !important;
        }
        .expanding-search-form .dropdown-toggle{
            padding: 10px !important;
        }
        .expanding-search-form .search-button{
            height: 45px !important;
            margin-top: -2px !important;
        }
        .submenu-link li a:hover{
            color: #279437 !important;
        }
        .special-offer-image-section .prod-img img{
            width: 100% !important;
        }
        .special-offer-image-section .prod-img{
            padding-left: 2px !important;
        }
        .special-offer-image-section{
            padding: 0px !important;
            border-right: 1px solid #10e72f6b;
        }
        .slider-product-box:hover .prod-img > img {
            transform: initial !important;
        }
        .special-offer-main-card-section::before,.special-offer-main-card-section::after{
            display: none !important;
        }
        .section-etc .quickviewtext{
            color: #6e5156;
            font-size: 18px;
        }
        .section-etc .btn-add-to-cart{
            padding: 5px 10px;
            background: #009DEE !important;
            color: white !important;
            border-radius: 5px;
            text-transform: uppercase;
            font-size: 13px;
        }
        .section-etc .btn-add-to-cart:hover{
            background: #ff5200 !important;
        }
        .section-etc .add-to-fav-btn{
            border: 1px solid #11db3f85;
            margin-left: 10px;
            padding: 2px 0px 3px 6px;
            border-radius: 5px;
        }
        .section-etc .add-to-fav-btn:hover{
            background: #ff5200 !important;
            color: white !important;
            border-color: #ff5200 !important;
        }
        .section-etc .add-to-fav-btn img{
            height: 18px !important;
        }
        .section-etc .quickviewtext{
            border: 1px solid #11db3f85;
            margin-left: 10px;
            padding: 0px 4px 2px 6px;
            border-radius: 5px;
        }
        .section-etc .quickviewtext:hover{
            background: #009DEE;
            color: white !important;
        }
        .special-product-details-sections{
            background: #fff;
        }

        .quickviewtext .fa-eye{
            font-size: 18px;
            color: #767787;
        }
        .quickviewtext{
            padding: 6px 5px;
        }
        .floating-add-to-cart{
            top:2% !important;
        }
        .floating-add-to-cart:hover .quickviewtext i{
            color: #fbfbfb !important;
        }
        .floating-add-to-cart:hover .quickviewtext{
            color: #fbfbfb;
            border-color: #12f5467a;
        }
        .floating-wishlist{
            border-color: #12f5467a;
            padding: 4px 1px 1px 3px;
        }
        .floating-wishlist a i{
            color: black;
        }
        .floating-wishlist:hover{
            background: #ff5200 !important;
            color: white !important;
            border-color: #ff5200 !important;
        }
        .floating-wishlist:hover a i{
            color: white !important;
        }
        .home-product-image-sections{
            border-bottom: 1px solid #687ff5;
        }

        .floating-add-to-cart:hover{
            background: #009DEE;
            color: white;
        }
        .quickview{
            bottom: 0px !important;
            width: fit-content !important;
        }

        .product-box:hover .home-product-price-section{
            display: none !important;
        }
        .product-box{
            border: 1px solid #009DEE;
        }
        .quickview.quickview-common .btn-add-to-cart{
            background: #009DEE;
            color: white;
            padding: 5px 10px;
            border-radius: 5px;
        }
        .quickview.quickview-common .btn-add-to-cart:hover{
            background: #ff5200;
        }
        .home-product-image-sections img{
          width: 100% !important;
          height: 100% !important;
        }
        .top-categories-sections{
            border: 1px solid #687ff5;
            border-radius: 5px;
        }

        .new-product-main-section{
            border-bottom: 1px solid #687ff5;
        }
        .latest-blog-section-border .heading-lg{
            margin-top: 0px !important;
        }
        .latest-blog-section-border{
            border-bottom: 1px solid #687ff5;
        }
        .top-categories-section-border{
            border-bottom: 1px solid #687ff5;
            margin-top: 30px;
        }
        .top-categories-title{
            margin-top: 0px !important;
        }
        .banner-img-sections{
            height: 200px;
            width: 100%;
        }
        .banner-img-sections img{
            height: 100%;
            width: 100%;
        }

        .category-wise-product-image img{
            width: 90% !important;
        }
        .category-product-image-sec-o{
            padding-right: 0px !important;
        }
        .slick-prev::before,.slick-next::before{
            color: white !important;
        }
        .slick-prev,.slick-next{
            background: #009DEE !important;
            height: 39px !important;
            width: 40px !important;
        }
        .slick-arrow .slick-prev{
            left: calc(4% - 30px) !important;
        }
        .banner_js .banner-slide {
            height: 455px !important;
        }

        .banner_js .banner-slide a img{
            height: 100% !important;
        }
        .banner-texts {
            position: relative;
            top: -145px;
            padding: 5px 30px;
        }
        a.button-block.btn-sm.cs-btn-block {
            font-size: 16px;
            min-height: 40px;
            min-width: 115px;
            margin-top: 15px;
        }
        .banner-shop-now-btn{
            border: 2px solid white;
            color: white;
            font-weight: 600;
            border-radius: 1px;
            margin-top: 9px;
        }
        .new-p-sec-title .heading-lg{
            margin-top: 0px !important;
        }
        .mainheader {
            position: fixed;
            top: 0px; 
            width: 100%;
            background-color: #fff;
            transition: top 5s ease-in-out;
            z-index: 1000;
            background-image: linear-gradient(0deg, #f1fff9, #f1fff900 30%), radial-gradient(circle at 0 0, #5fd5b6 0, #5fd5b600 30%), linear-gradient(180deg, #79dfffb3 -10%, #79dfff00 70%), radial-gradient(circle at 95% 0, #d0f224 0, #5fd5b600 20%);
        }
        #main-header-top-sec{
            background-image: linear-gradient(0deg, #f1fff9, #f1fff900 30%), radial-gradient(circle at 0 0, #5fd5b6 0, #5fd5b600 30%), linear-gradient(180deg, #79dfffb3 -10%, #79dfff00 70%), radial-gradient(circle at 95% 0, #d0f224 0, #5fd5b600 20%);
        }
        .fixed {
            position: fixed;
            top: 0px;
            left: 0;
            width: 100%;
            z-index: 10000;
            transition: top 4s ease-in-out;
        }
        .about-icon-section i{
            font-size: 25px;
        }
        .website-features-section:hover .about-icon-section i{
            color: #009DEE !important;
        }
        .website-features-section{
            border: 1px solid #009DEE;
            padding: 25px 15px;
            background: #f1f1f1;
            border-radius: 4px;
        }
        .banner-large{
            margin-top: 15px;
        }

        #subscriptionModal{
            z-index: 10002;
            background: #0000003d !important;
        }
        .modal_close_btn{
            position: absolute;
            right: -14px;
            border-radius: 50px;
            padding: 1px 10px;
            border: 1px solid #a32222d4;
            color: red;
            background: white;
            font-weight: 900;
            font-size: 20px;
            top: 7px;
            z-index: 1;
        }
        /* .home-sec-category-img img{
                height: 100%;
            } */
        .home-sec-category-img .category-home-sec{
            text-align: center;
            position: relative;
            bottom: 108px;
        }




        @media(min-width: 768px) and (max-width: 1100px){
            .website-features-section{
                min-height: 170px !important;
            }
            .w-f-responsive {
                margin-top: 0px !important;
            }
            .custom-left-side-banner-index{
    margin-top: 170px !important;
}

        }


        @media(min-width: 780px){
            #subscriptionModal .modal-dialog{
                min-width: 600px;
            }
        }

        @media (min-width: 501px) and (max-width: 767px){
            .custom-flash-sale-cutdown{
                bottom: 50% !important;
            }
        }

        @media (min-width: 970px) and (max-width: 1050px){
            .custom-flash-sale-cutdown {
                width: 50px !important;
                bottom: 0px !important;
            }
        }
        @media screen and (min-device-width: 321px) and (max-device-width: 375px) {
        .custom-left-side-banner-index {
            position: relative !important;
            margin-top: 55px !important;
        }
        .new-product-main-section {
        margin-top: 10px !important;
     }
    }
        @media (min-width: 768px) and (max-width: 1100px){
            .custom-flash-sale-cutdown{
                bottom: 50% !important;
            }
            .home-right-banner{
                display: none !important;
            }
            .custom-left-side-banner-index {
            position: relative !important;
            margin-top: 55px !important;
         }
         .new-product-main-section {
             margin-top: 0px !important;
        }
            .banner-img-sections-two{
                margin-top: 0px !important;
            }
            .categories-js .slick-arrow .slick-prev, .slick-arrow .slick-next{
                bottom: -50px !important;
            }
            .categories-js .slick-arrow .slick-prev {
                left: calc(17% - 42px) !important;
            }

            .new-product-js .slick-arrow .slick-prev, .slick-arrow .slick-next{
                bottom: -65px !important;
            }
            .slick-arrow .slick-prev, .slick-arrow .slick-next{
                bottom: -65px !important;
            }
            .homepage-banners.banner-margin{
                margin-top: 75px !important;
            }
        }


        @media (max-width: 1100px){
            .banner-large .container{
                padding-bottom: 0px !important;
            }
            .banner-large{
                margin-top: 0px !important;
            }
            .w-f-responsive{
                margin-top: 10px;
            }
            .heading-lg{
                font-size: 20px !important;
            }
            .left-banner-section{
                height: 330px !important;
            }
            .left-banner{
                height: 100% !important;
                width: 100%;
            }
            /* .head-menu{
                display: none !important;
            } */
            .banner-img-sections{
                height: 170px;
                width: 100%;
            }
            .cs-btn-block{
                padding: 4px 10px !important;
            }
            .custom-flash-sale-cutdown{
                position: absolute;
                width: 100% !important;
                /*bottom: 56% !important;*/
            }
            .special-product-details-sections .section-offer-details{
                margin-top: 0px !important;
            }
            .heading-lg{
                margin-bottom: 0px !important;
            }
            .banner_js .banner-slide {
                height: 330px !important;
            }

            .slick-arrow .slick-prev {
                left: calc(24% - 42px) !important;
            }
            .category-wise-product-nav{
                padding: 0px !important;
                font-size: 17px !important;
                line-height: 6px !important;
            }

            .home-sec-category-img img{
                height: 100%;
            }
            .home-sec-category-img .category-home-sec{
                text-align: center;
                position: relative;
                bottom: 108px;
            }
            /* .home-sec-category-img{
                height: 150px !important;
            } */

        }


        @media (max-width: 800px) {
            .banner-texts{
                top: -130px !important;
            }
            .category-wise-product-nav{
                line-height: 22px !important;
            }
            .custom-flash-sale-cutdown{
                position: absolute;
                width: 100% !important;
                bottom: 56%;
            }
            .top-category-product-banner{
                min-height: 200px !important;
                opacity: 0.5;
                margin-top: 10px;
                background-repeat: no-repeat;
                background-size: cover;
            }
            .homepage-banners{
                display: block !important;
            }
            .category-products-tab li{
                width: 100% !important;
            }
            /*.home-right-banner{*/
            /*    display: block !important;*/
            /*}*/
            .res-mid-banner{
                display: none !important;
            }
            .most-popular-cat-tab .category-image{
                display: none !important;
            }
            .most-popular-cat-tab label.category-name{
                display: block !important;
            }
            .home-popular-category{
                display: flex !important;
            }
            .banner-img-sections-two{
                margin-top: 20px;
            }
        }

        @media (min-width: 768px) and (max-width: 991px) {
            .otrixcontainer{
                max-width: 100% !important;
            }
            .faq-section-wrapper {
       margin-top: 65px;
    }

            /*.home-right-banner{*/
            /*    display: block !important;*/
            /*}*/
            .homepage-banners{
                display: block !important;
            }
            .most-popular-cat-tab label.category-image{
                display: none !important;
            }
            .most-popular-cat-tab label.category-name{
                display: block !important;
            }
            .home-popular-category{
                display: flex !important;
            }
            .top-category-product-banner{
                display: none !important;
            }
        }



    </style>

    <style>
.custom-right-side-banner-home{
    margin-top: 170px !important;
}
    .see-password-section{
            position: relative;
            top: -38px;
            float: right;
            right: 14px;
            font-size: 18px;
    }
    
    </style>
</head>

{{-- <body class="{{ $class ?? '' }}"> --}}
<body class="bg-light">

@include('frontend.layouts.header')
<div class="@if(config('settingConfig.config_layout') == 'fullwidthlayout') container-fluid mx-5 mx-sm-0 @else otrixcontainer @endif">
    @yield('content')
</div>
@include('frontend.layouts.footer')
<a class="scrollTop mx-5 d-none d-md-block d-lg-blocl d-xl-block" href="#top"><i class="fa fa-chevron-up"></i></a>

<script type="text/javascript" src="{{ asset('frontend') }}/cjs/sweetalert2@11.js" ></script>
<script type="text/javascript" src="{{ asset('frontend') }}/js/script.js" ></script>
<script type="text/javascript" src="{{ asset('frontend') }}/js/slick.js"></script>
<script type="text/javascript" src="{{ asset('frontend') }}/js/jquery.mCustomScrollbar.concat.min.js"></script>
<script type="text/javascript" src="{{ asset('frontend') }}/js/home.js"></script>
<script type="text/javascript" src="{{ asset('frontend') }}/js/product.js"></script>
<script type="text/javascript" src="{{ asset('frontend') }}/js/wow.min.js"></script>
<script type="text/javascript" src="{{ asset('frontend') }}/js/retronotify.js"></script>
<script type="text/javascript" src="{{ asset('frontend') }}/js/lazyload.min.js"></script>
<script type="text/javascript" src="{{ asset('frontend') }}/js/sweetalert2@11.js" ></script>

@include('frontend.layouts.commonjs')

<script src="https://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.3/modernizr.js"></script>
<script type="text/javascript">
    jQuery(document).ready(function() {
        $(".se-pre-con").fadeOut("slow");
    });


    // $(window).scroll(function(){
    
    //     var sticky = $('.mainheader'),
    //         scroll = $(window).scrollTop();

    //     if (scroll >= 100) {
    //         sticky.addClass('fixed');
    //         $('.signup_discount').removeClass('d-flex').addClass('d-none');
    //     }else{
    //         sticky.removeClass('fixed');
    //         $('.signup_discount').addClass('d-flex').removeClass('d-none');
    //     }
    // });
//     $(window).scroll(function() {
//     var sticky = $('.mainheader'),
//         scroll = $(window).scrollTop();

//     if (scroll >= 100) {
//         setTimeout(function() {
//             sticky.addClass('fixed'); 
//             sticky.removeClass('add-top-50'); 
//         }, 0); 
//         $('.signup_discount').removeClass('d-flex').addClass('d-none');
//     } else {
//         sticky.removeClass('fixed');
//         sticky.addClass('add-top-50');
//         $('.signup_discount').addClass('d-flex').removeClass('d-none');
//     }
//  });




    $(document).on('click', '.left-banner-section', function(e){
        const data_url=$(this).attr('data-url');

        location.href=data_url;
    });

</script>



@stack('js')
</body>

<script>
    $(document).on('click', '.see-password-section', function(e){
        e.preventDefault();

        const type= $('.login-pass').attr('type');

        if(type=='password') {
            $('.login-pass').attr('type', 'text')
            $('.see-password-section').html(`<i class="fa fa-eye"></i>`);
        }else {
            $('.login-pass').attr('type', 'password')
            $('.see-password-section').html(`<i class="fa fa-eye-slash"></i>`);
        }

    });
</script>
</html>
