<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use App\Http\Controllers\Frontend\InstallationController;
use App\Http\Controllers\FrontController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::group(['prefix' => '/'], function () {
  include('FrontendRoutes.php');
});
Route::get('/home/faq', [FrontController::class, 'faq'])->name('front.faq');

Route::get('/privacy-policy', function () {
    return view('frontend.privacy');
});
Route::group(['prefix' => 'admin'], function () {
  Auth::routes();
});
Route::middleware(['auth'])->group(function () {
  Route::group(['prefix' => 'admin'], function () {
    include('AdminRoutes.php');
  });
});

Route::controller(InstallationController::class)->group(function () {
  Route::get('installation/success', 'installationSuccess')->name('installation-success');
});

Route::get('/clear/cache', function(){
    \Illuminate\Support\Facades\Artisan::call('cache:clear');
    \Illuminate\Support\Facades\Artisan::call('route:clear');
    \Illuminate\Support\Facades\Artisan::call('view:clear');
    cache()->flush();

    dd('ok');
});


