<?php $__env->startPush('css'); ?>
<link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend')); ?>/css/shop-listing.css">
<link rel="stylesheet" type="text/css" href="<?php echo e(asset('frontend')); ?>/css/smk-accordion.css">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>

<!--==== START BREADCUMB ====-->
<section class="page-crumb">
    <ul class="cd-breadcrumb">
      <li><a href="<?php echo e(url('/')); ?>"><i class="fas fa-home"></i> <?php echo e(__('homepage')['title']); ?></a></li>
      <li class="current">Search Products</li>
    </ul>
</section>
<!--==== END BREADCUMB ====-->



<!--==== START PRODUCT LISTING ====-->
<section class="inner-wrapper filterwrap" id="shop-listing">
    <div class="shop-wrapper">
      <form class="search-container submitFilter" action="<?php echo e(route('search-product')); ?>" method="get ">
        <div class="shop-panel" id="shopping-info-detail">

          <div class="product-filter-click"><i class="fa fa-filter"></i> <?php echo e(__('filter')['title']); ?></div>

          <div class="product-list-overlay ">
            <a class="close-filter"> <i class="fa fa-times" aria-hidden="true"></i></a>
              <div class="mobile-product-list">
                <div class="panel-box categories-list">
                  <div class="heading-md heading-line"><?php echo e(__('categories')['bradcum']); ?></div>
                    <?php echo $__env->make('frontend.partials.sidecategory', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                  </div>

                  <div class="panel-box sizes-list">
                  <div class="heading-md heading-line"><?php echo e(__('product')['price_range']); ?></div>

                  <div class="price-range my-3 d-flex justify-content-space-between align-items-center">
                      <span class="mx-2">Min.</span>
                      <input class="form-control minPrice" type="number" name="min" value="<?php echo e($min_price); ?>">
                      <span class="mx-2">Max.</span>
                      <input class="form-control maxPrice" type="number" name="max" value="<?php echo e($max_price); ?>">
                  </div>
                  <div class="mx-3 my-2">
                    <button type="button" onclick="filterPriceRange()" class="price-range-button" name="button">Filter Price</button>
                  </div>

                </div>

                

                <?php if(isset($leftSideBanner) && isset($leftSideBanner->images[0])): ?>
                  <?php echo $__env->make('frontend.partials.sideBanner',['image' => $leftSideBanner->images[0]->image,'link' => $leftSideBanner->images[0]->link], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <?php endif; ?>

              </div>
          </div>
        </div>
      </form>

      <div class="shop-col " id="shopping-list">
        <div class="shop-bar ">
          <span class="product-count-text"><?php echo e($count); ?> Products Found</span>
          <div class="short-by-list">
            <form class="short-ordering">
              <label> <?php echo e(__('product')['sortby']); ?>: </label>
                <select name="orderby" class="px-2 orderby" aria-label="Shop order" onchange="filterSortBy(this.value)">
                    <option value="default" <?php if($orderBy == 'default'): ?> selected="true" <?php endif; ?>><?php echo e(__('filter')['default']); ?></option>
                    <option value="lowtohigh" <?php if($orderBy == 'lowtohigh'): ?> selected="true" <?php endif; ?>><?php echo e(__('filter')['ltoh']); ?></option>
                  <option value="hightolow" <?php if($orderBy == 'hightolow'): ?> selected="true" <?php endif; ?>><?php echo e(__('filter')['htol']); ?></option>
                </select>
              <input type="hidden" name="paged" value="1">
            </form>
            <!-- <div class="grid-controler">
              <ul class="gird-nav">
                <li><a href=""><img src="<?php echo e(asset('frontend')); ?>/images/gird-3.png" alt="" title="" /> </a> </li>
              </ul>
            </div> -->
          </div>
        </div>


        <div class="product-gird ">
          <ul class="product prod-grid-col4 ">
            <?php $__empty_1 = true; $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
            <?php

              $price = $value->price;
              $special = 0;
              $offTxt = '';
              $date = Carbon\Carbon::parse($value->created_at);
              $now = Carbon\Carbon::now();
              $diff = $date->diffInDays($now);

              if($value->special) {

                $endDate = Carbon\Carbon::createFromFormat('m/d/Y',$value->special->end_date);
                $startDate = Carbon\Carbon::createFromFormat('m/d/Y', $value->special->start_date);
                $todayDate = Carbon\Carbon::createFromFormat('m/d/Y', date('m/d/y'));
                if($startDate->gte($todayDate) && $todayDate->lte($endDate)) {
                  $special = $value->special->price;
                  $offTxt = calculatePercentage($price,$special);
                }
            }

              $stars = $value->review_avg  ? (int)$value->review_avg : 0;
              $starResult = "";
              for ( $i = 1; $i <= 5; $i++ ) {
                  if ( round( $stars - .25 ) >= $i ) {
                    $starResult .=   " <i class='fa fa-star'></i>";
                  } elseif ( round( $stars + .25 ) >= $i ) {
                        $starResult .=  " <i class='fa fa-star-half-o' ></i>";
                  } else {
                        $starResult .=  " <i class='fa fa-star' style='color:#BCC7D1'></i>";
                  }
              }
            ?>

              <li>
                <div class="product-box my-2  py-1">
                  <div class="product-box-card-sec">
                    <a href="<?php echo e(route('product.details',['id' => $value->id])); ?>" class="prod-img">
                      <img class="lazy" data-original="<?php echo e(asset('uploads')); ?>/product/<?php echo e($value->image); ?>" alt="" title="" />
                    </a>
  
                    <div class="quickview quickview-common ">
                      <div class="d-flex justify-content-center ">
                        <a href="javascript:void(0);" class="quickviewtext" data-product="<?php echo e($value->id); ?>">Quick View</a>
                      </div>
                    </div>
  
                  <?php if($value->quantity ==  0): ?>
                    <span class="latest-badge out-stock"><?php echo e(__('common')['label_out_of_stock']); ?></span>
                  <?php elseif($value->quantity !=  0 && $offTxt == '' && $diff < 15 ): ?>
                    <span class="latest-badge "><?php echo e(__('common')['label_new']); ?></span>
                  <?php elseif($value->quantity !=  0 && $offTxt != ''): ?>
                    <span class="latest-badge discount-badge"><?php echo e($offTxt); ?></span>
                  <?php elseif($value->quantity !=  0 && $offTxt == '' && $diff > 15 && ((int)$value->viewed > 999 && (int)$value->viewed < 1200)): ?>
                    <span class="latest-badge trending-badge"><?php echo e(__('common')['trending']); ?></span>
                  <?php endif; ?>
  
                    <div class="floating-bar">
                      <div class="floating-add-to-cart  d-flex justify-content-center">
                        <input type="hidden" name="productID" value="<?php echo e($value->id); ?>">
                        <a href="" class="btn-add-to-cart  d-flex align-items-center">
                          <img src="<?php echo e(asset('frontend')); ?>/images/add-to-cart.png" alt="" title="" class="add-to-cart-img" />
                        </a>
                      </div>
                      <?php if(Auth::guard('customer')->check()): ?>
                          <?php if(in_array($value->id, getWishlist())): ?>
                          <div class="floating-wishlist fill-wishlist  d-flex justify-content-center">
                            <a href="javascript:void(0);" class="d-flex align-items-center" onclick="addToWish(this,'<?php echo e($value->id); ?>')">
                              <i class="fas fa-heart" ></i>
                            </a>
                          </div>
                          <?php else: ?>
                          <div class="floating-wishlist  d-flex justify-content-center">
                            <a href="javascript:void(0);" class=" d-flex align-items-center" onclick="addToWish(this,'<?php echo e($value->id); ?>')">
                              <img src="<?php echo e(asset('frontend')); ?>/images/little-heart.png" alt="" title="" class="" />
                            </a>
                          </div>
                          <?php endif; ?>
                      <?php else: ?>
                      <div class="floating-wishlist  d-flex justify-content-center">
                          <a href="javascript:void(0);" class=" d-flex align-items-center" onclick="addToWish('<?php echo e($value->id); ?>')" >
                            <img src="<?php echo e(asset('frontend')); ?>/images/little-heart.png" alt="" title="" class="" />
                          </a>
                        </div>
                      <?php endif; ?>
                    </div>
  
  
                    <!-- <a href="javascript:void(0);"  class="<?php if(Auth::guard('customer')->check() && in_array($value->id, getWishlist())): ?> add-to-wishlist-fill <?php else: ?>  add-to-wishlist <?php endif; ?> wishlist<?php echo e($value->id); ?> wishlist<?php echo e($value->id); ?>" data-title="Add to Wishlist"  onclick="addToWish('<?php echo e($value->id); ?>')"><i class="fa fa-heart-o" aria-hidden="true"></i></a> -->
  
                    <div class="mx-2 mb-3 mt-4" >
                      <div class="product-detail mb-3">
                        <p class="modeltext mt-1  mb-1"><?php echo e($value->category->name); ?></p>
                        <a href="<?php echo e(route('product.details',['id' => $value->id])); ?>" class="prod-title mb-3 "><?php echo e(Str::limit($value->productDescription->name, 48, '...')); ?></a>
                        <!-- <p class="modeltext mt-1  mb-3"><?php echo e($value->model); ?></p> -->
                        <?php if($special > 0): ?>
                          <div class="price">
                            <span class="specialPrice"><?php echo e(config('settingConfig.config_currency')); ?><?php echo e(number_format($special,2)); ?></span>
                            <span class="originalPrice"><?php echo e(config('settingConfig.config_currency')); ?><?php echo e(number_format( $value->price,2)); ?></span>
                          </div>
                        <?php else: ?>
                          <div class="price"><?php echo e(config('settingConfig.config_currency')); ?><?php echo e($value->price); ?> <span class="offer"><?php echo e($offTxt); ?></span></div>
                        <?php endif; ?>
  
                    </div>
  
                    </div>
                  </div>
                  

                </div>
              </li>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
              <div class="col-12 text-center">
                <div class="mt-5">
                </div>
                <img src="<?php echo e(asset('frontend')); ?>/images/sad.png" alt="">
                <h3 class="notfoundtxt mt-5"><?php echo e(__('common')['product_not_found']); ?></h3>
              </div>

            <?php endif; ?>
          </ul>



          <?php echo e($data->appends(['name' => request()->name])->links()); ?>


        </div>
      </div>
    </div>

</section>
<!--==== END PRODUCT LISTING ====-->

<?php $__env->startPush('js'); ?>
<script type="text/javascript" src="<?php echo e(asset('frontend')); ?>/js/smk-accordion.js"></script>

<script type="text/javascript">
    $(document).ready(function() {
      //	FAQ
        $(".faq_accordion").smk_Accordion({
          closeAble: true, //boolean
          //closeOther: false, //boolean
          activeIndex: 2  //second section open
        });


        $(".submitFilter").submit(function(e){
            e.preventDefault();
            let val = $('.searchinput').val();
            var url =new URL(window.location.href);
            url.searchParams.append('search', val);
            let urlappends = url.href;
            let [path, params] = urlappends.split("?");
            let redirectURL = path + '?' + new URLSearchParams(Object.fromEntries(new URLSearchParams(params))).toString()
            window.location.replace(redirectURL);
        });
    });

    function filterSortBy(val) {
      var url =new URL(window.location.href);
      url.searchParams.append('sortby', val);
      let urlappends = url.href;
      let [path, params] = urlappends.split("?");
      let redirectURL = path + '?' + new URLSearchParams(Object.fromEntries(new URLSearchParams(params))).toString()
      window.location.replace(redirectURL);
    }

    function filterPriceRange() {
      var url =new URL(window.location.href);
      let priceMin = $('.minPrice').val();
      let priceMax = $('.maxPrice').val();
      let range = priceMin +'-'+priceMax;
      url.searchParams.append('priceRange', range);
      let urlappends = url.href;
      let [path, params] = urlappends.split("?");
      let redirectURL = path + '?' + new URLSearchParams(Object.fromEntries(new URLSearchParams(params))).toString()
      window.location.replace(redirectURL);
    }

    function filterBrands(val) {
      var url =new URL(window.location.href);
      const paramss = (url).searchParams;
      let findBrandParam = paramss.get('brands');

      if(findBrandParam != null) {

          if(findBrandParam.split(",")[0] == val) {
            findBrandParam =   findBrandParam.replace(new RegExp(val+',', "g"),'');
            url.searchParams.append('brands', findBrandParam);
          }
          else {

            let findValueExist = findBrandParam.indexOf(val);

            if(findValueExist != -1) {

              if(findBrandParam.length- 2 == findBrandParam.indexOf(val)) {
                findBrandParam =   findBrandParam.replace(new RegExp(val+',', "g"),'');
              }
              else {
                findBrandParam =   findBrandParam.replace(new RegExp(','+val, "g"),'');
              }

              url.searchParams.append('brands', findBrandParam);
            }
            else {
              url.searchParams.append('brands', findBrandParam+','+val);
            }
          }

      }
      else {
          url.searchParams.append('brands', val);
      }

      let urlappends = url.href;
      let [path, params] = urlappends.split("?");
      let redirectURL = path + '?' + new URLSearchParams(Object.fromEntries(new URLSearchParams(params))).toString()

      window.location.replace(redirectURL);
    }

</script>

<script>
      /*Responsive filter toggle*/
      $(".product-filter-click, .close-filter").click(function() {
          $(".product-filter-click, .product-list-overlay").toggleClass("active");
          if ($(".product-list-overlay").hasClass("active")) {
              $('html').addClass('filterhidden');
          } else {
              $('html').removeClass('filterhidden');
          }
      });

  </script>
<?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('frontend.layouts.app', ['class' => 'bg-white'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/smabmart/public_html/resources/views/frontend/product/searchProducts.blade.php ENDPATH**/ ?>